- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates the DocumentProcessingConfig. DocumentProcessingConfig is a singleton resource of DataStore. It's empty when DataStore is created. The first call to this method will set up DocumentProcessingConfig.
The updateMask query parameter is not supported; if it is set the request returns an error. To update mutable fields, omit updateMask and send the full DocumentProcessingConfig as the request body. The entire resource is overwritten, so include all values you want to retain. For example, to update the layout parser, set DocumentProcessingConfig.default_parsing_config (or DocumentProcessingConfig.parsing_config_overrides) and omit updateMask. Some fields, such as DocumentProcessingConfig.chunking_config, are immutable and return an error if changed.
HTTP request
PATCH https://discoveryengine.googleapis.com/v1alpha/{documentProcessingConfig.name=projects/*/locations/*/dataStores/*/documentProcessingConfig}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
documentProcessingConfig.name |
The full resource name of the Document Processing Config. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Not supported. If This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of DocumentProcessingConfig.
Response body
If successful, the response body contains an instance of DocumentProcessingConfig.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
discoveryengine.documentProcessingConfigs.update
For more information, see the IAM documentation.